Name:          python-caches
Version:       0.2.18
Release:       1mamba
Summary:       Python caching backed by Redis
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/caches
Source:        https://pypi.python.org/packages/source/c/caches/caches-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-caches' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n caches-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.18-1mamba
- package created using the webbuild interface
